/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: XArchiver.idl,v $
 * $Revision: 1.8 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_util_XArchiver_idl__ 
#define __com_sun_star_util_XArchiver_idl__ 
 
#ifndef __com_sun_star_uno_XInterface_idl__ 
#include <com/sun/star/uno/XInterface.idl> 
#endif 
 
#ifndef __com_sun_star_beans_PropertyValue_idl__ 
#include <com/sun/star/beans/PropertyValue.idl> 
#endif 
 
#ifndef __com_sun_star_container_XIndexAccess_idl__ 
#include <com/sun/star/container/XIndexAccess.idl> 
#endif 
 
 
//============================================================================= 
 
module com {  module sun {  module star {  module util {  
 
//============================================================================= 
 
/** @deprecated
 */
published interface XArchiver: com::sun::star::uno::XInterface
{ 
    //------------------------------------------------------------------------- 
    // DOCUMENTATION OMITTED FOR XArchiver::pack 
    boolean pack( [in] sequence<string> input, 
             [in] string destination, 
             [in] sequence<com::sun::star::beans::PropertyValue> aArgs ); 
 
    //------------------------------------------------------------------------- 
    // DOCUMENTATION OMITTED FOR XArchiver::unpack 
    boolean unpack( [in] string destinationpath, 
             [in] string source, 
             [in] sequence<string> files, 
             [in] sequence<com::sun::star::beans::PropertyValue> aArgs ); 
 
    //------------------------------------------------------------------------- 
    // DOCUMENTATION OMITTED FOR XArchiver::getContent 
    com::sun::star::container::XIndexAccess getContent( [in] string source ); 
 
    //------------------------------------------------------------------------- 
    // DOCUMENTATION OMITTED FOR XArchiver::getExtraData 
    string getExtraData( [in] string source ); 
 
}; 
 
//============================================================================= 
 
}; }; }; };  
 
#endif 
